<template>
    <div>
        <template v-if="clients.length > 0">
            <ClientCard
                v-for="(client) in clients"
                :key="client.id"
                :client="client"
            ></ClientCard>
        </template>
        <template v-else>
            <div class="client-list--empty">
                <div class="smTxt txt">{{ noDataPlaceholder }}</div>
            </div>
        </template>
    </div>
</template>

<script lang='ts'>
import { Vue, Component, Prop } from 'nuxt-property-decorator';

import { Appointment } from '~/shared/models/appointment.model';

@Component
export default class ClientList extends Vue {
    @Prop() clients!: Appointment[];
    @Prop() title!: string;

    //////////////////////////////////////////////////////////////////////

    get noDataPlaceholder(): string {
      let noDataWording = '您目前無已結案的預約單';
      if (this.title === 'contactedList') {
        noDataWording = '您目前無約訪中的預約單';
      }
      if (this.title === 'reservedList') {
        noDataWording = '您目前無未聯絡的預約單';
      }
      return noDataWording;
    }
}
</script>

<style lang="scss" scoped>
    .client-list--empty {
        background-color: $PRIMARY_WHITE;
        width: 100%;
        height: 100px;
        display: flex;
        justify-content: center;
        align-items: center;

        .txt {
            color: $PRUDENTIAL_GREY;
            margin-left: 17px;
        }
    }
</style>
